Python
import os
from scale_gp import SGPClient
client = SGPClient(
api_key=os.environ.get("SGP_API_KEY"), # This is the default and can be omitted
)
chat_thread = client.chat_threads.update(
thread_id="thread_id",
)
print(chat_thread.id)package main
import (
"context"
"fmt"
"github.com/stainless-sdks/sgp-go"
"github.com/stainless-sdks/sgp-go/option"
)
func main() {
client := sgp.NewClient(
option.WithAPIKey("My API Key"),
)
chatThread, err := client.ChatThreads.Update(
context.TODO(),
"thread_id",
sgp.ChatThreadUpdateParams{},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", chatThread.ID)
}
curl --request PATCH \
--url https://api.egp.scale.com/v4/threads/{thread_id} \
--header 'Content-Type: application/json' \
--data '
{
"title": "<string>",
"archived_at": "<string>",
"thread_metadata": {}
}
'const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({title: '<string>', archived_at: '<string>', thread_metadata: {}})
};
fetch('https://api.egp.scale.com/v4/threads/{thread_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"title": "<string>",
"application_variant_id": "<string>",
"account_id": "<string>",
"created_by_user_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"thread_metadata": {},
"archived_at": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}ChatThreads
Patch Chat Thread
PATCH
/
v4
/
threads
/
{thread_id}
Python
import os
from scale_gp import SGPClient
client = SGPClient(
api_key=os.environ.get("SGP_API_KEY"), # This is the default and can be omitted
)
chat_thread = client.chat_threads.update(
thread_id="thread_id",
)
print(chat_thread.id)package main
import (
"context"
"fmt"
"github.com/stainless-sdks/sgp-go"
"github.com/stainless-sdks/sgp-go/option"
)
func main() {
client := sgp.NewClient(
option.WithAPIKey("My API Key"),
)
chatThread, err := client.ChatThreads.Update(
context.TODO(),
"thread_id",
sgp.ChatThreadUpdateParams{},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", chatThread.ID)
}
Path Parameters
Body
application/json
Response
Successful Response
The ID of the account that owns the given entity.
The user who originally created the entity.
The type of identity that created the entity.
Available options:
user, service_account The date and time when the entity was created in ISO format.
The date and time when the entity was last updated in ISO format.
The date and time when the entity was archived in ISO format.
⌘I

